Skip to main content
GET
/
v1
/
shipments
/
{id}
Get shipment
curl --request GET \
  --url https://sandbox-api.easecustoms.com/v1/shipments/{id} \
  --header 'Authorization: Bearer <token>'
{
  "shipmentId": 99,
  "referenceNumber": "180-43189021",
  "status": "clearanceInProgress",
  "createdAt": "2026-06-10T08:30:00.000Z",
  "updatedAt": "2026-06-10T08:31:00.000Z",
  "declarations": [
    {
      "declarationId": 42,
      "lrn": "NL202600001",
      "mrn": "26NL90831023812038",
      "status": "ready",
      "type": "IMPORT"
    }
  ]
}
Get a shipment and a summary of all declarations linked to it.

Path Parameters

id
number
required
The unique shipment ID.
{
  "shipmentId": 99,
  "referenceNumber": "180-43189021",
  "status": "clearanceInProgress",
  "createdAt": "2026-06-10T08:30:00.000Z",
  "updatedAt": "2026-06-10T08:31:00.000Z",
  "declarations": [
    {
      "declarationId": 42,
      "lrn": "NL202600001",
      "mrn": "26NL90831023812038",
      "status": "ready",
      "type": "IMPORT"
    }
  ]
}